# Uses of Enum Class
org.apache.sysds.runtime.compress.cocode.CoCoderFactory.PartitionerType

Packages that use CoCoderFactory.PartitionerType
Package
Description
org.apache.sysds.runtime.compress
org.apache.sysds.runtime.compress.cocode

## Uses of CoCoderFactory.PartitionerType in org.apache.sysds.runtime.compress

Fields in org.apache.sysds.runtime.compress declared as CoCoderFactory.PartitionerType
Modifier and Type
Field
Description
`final CoCoderFactory.PartitionerType`
CompressionSettings.`columnPartitioner`
The selected method for column partitioning used in CoCoding compressed columns
Methods in org.apache.sysds.runtime.compress with parameters of type CoCoderFactory.PartitionerType
Modifier and Type
Method
Description
`CompressionSettingsBuilder`
CompressionSettingsBuilder.`setColumnPartitioner(CoCoderFactory.PartitionerType columnPartitioner)`
Set the type of CoCoding Partitioner type to use for combining columns together.

## Uses of CoCoderFactory.PartitionerType in org.apache.sysds.runtime.compress.cocode

Methods in org.apache.sysds.runtime.compress.cocode that return CoCoderFactory.PartitionerType
Modifier and Type
Method
Description
`static CoCoderFactory.PartitionerType`
CoCoderFactory.PartitionerType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CoCoderFactory.PartitionerType[]`
CoCoderFactory.PartitionerType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.